/*
 * File          : $Source: /home/ACDE/ACDE/Source/RCS/T_role.sql,v $
 * Description   : List of roles
 * State         : $State: Released $
 * Last Modified : $Date: 2000/01/21 17:18:23 $
 * Author        : $Author: ACDE $
 *
 * This table contains per user the allowed roles. The role name 
 * has to be in line with the definitions in roles.ads. The 
 * qualifier for a role is the name and the complex identifier.
 *
 *
 * History
 * =======
 * $Log: T_role.sql,v $
 * Revision 1.1  2000/01/21 17:18:23  ACDE
 * Release Version test_1_0
 *
 * Revision 1.3  2000/01/16 16:03:58  ACDE
 * Release Version V8_1test
 *
 * Revision 1.2  2000/01/16 16:02:08  ACDE
 * Release Version V8test
 *
 * Revision 1.1  2000/01/16 09:04:00  ACDE
 * No comments
 *
 *
 *
 */

create table Roles (
   username         NAME,                /* login name of the user */
   rolename         NAME,		 /* role identifier */
   complex	    COMPLEX_ID		 /* complex identifier */
);


insert into Roles values ( "acdemgr", "Admin", 		"/" ); 
insert into Roles values ( "acdemgr", "Manager", 	"/" ); 
insert into Roles values ( "acdemgr", "User", 		"/" ); 





