/*
 * File          : $Source: /home/ACDE/ACDE/Source/RCS/T_role_names.sql,v $
 * Description   : List of roles
 * State         : $State: Released $
 * Last Modified : $Date: 2000/01/21 17:18:23 $
 * Author        : $Author: ACDE $
 * 
 * Functional Description
 * ======================
 *
 * This table maps the internal role identifiers into the external
 * identifiers. The domain identifier has to be in line with the 
 * definition  in ../Common/interface.role.
 *
 *
 * History
 * =======
 * $Log: T_role_names.sql,v $
 * Revision 1.1  2000/01/21 17:18:23  ACDE
 * Release Version test_1_0
 *
 * Revision 1.2  2000/01/16 16:03:58  ACDE
 * Release Version V8_1test
 *
 * Revision 1.1  2000/01/16 09:09:08  ACDE
 * No comments
 *
 *
 */

create table Role_Names (
   rolename	   NAME,		/* role name */
   identifier      NAME			/* internal identifier */
);


insert into Role_Names values ( "Admin", 	"" ); 
insert into Role_Names values ( "Manager", 	"" ); 
insert into Role_Names values ( "Assistant", 	"" );
insert into Role_Names values ( "User",	"" ); 

  

