--|
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/template.adb,v $
--| Description     : Helper package for ASCDE Files
--| Author          : Michael Erdmann
--| Created On      : XX.XX.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Version         : $Revision: 1.1 $
--| Status          : $State: Released $
--|
--| Functional Description
--| ======================
--|
--|
--| Restrictions
--| ============
--|
--| References
--| ==========
--|
--|
--| History
--| =======
--| $Log: template.adb,v $
--|

--* Ada
with Ada.Exceptions;               use Ada.Exceptions;
with Unchecked_Deallocation;

--- ASCL Support
with ASCL.Debugging_Support;  	   use ASCL.Debugging_Support;
use  ASCL;

with Text_Block;		   use Text_Block;

package body ACDE.Files is

   Version : constant String := "$Id: template.adb,v 1.1 2000/01/21 17:18:23 ACDE Released ACDE $";
   Module  : constant String := "acde-files.adb";

   ---=====================================================================---
   ---===         L O C A L   S U P P O R T   P R O C E D U R E S       ===---
   ---=====================================================================---
 
   ---=====================================================================---
   ---===                        M E T H O D S                          ===---
   ---=====================================================================---

   --|
   --| Locate a configuration file
   --| 
   function Config_Files( this : in DBS.ACDE.Object;
   			  name : in String  ) return Text_Array_Access is
      result : Text_Block.Object;
   begin
      Initialize( result );

      return Text( result ); 
   end Config_Files;

end ACDE.Files;

