--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/admin.ads,v $
--| Description     : Template Specification
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Version         : $Revision: 1.1 $
--| Status          : $State: Released $
--|
--|
--| Functional Description
--| ======================
--|
--|
--| Component Data
--| ==============
--|
--|
--| Operations on the component data
--| ================================
--|
--| Error Handling
--| ==============  
--|
--|
--| Restrictions
--| ============
--| Tasking: yes/no
--| Y2K    :
--|
--|
--| History
--| =======
--| $Log: admin.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--|
--|
--|

with ASCL.Debugging_Support;
use  ASCL;

with STD.Process;
use  STD;

package DLG.Admin is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   type Object is new Process.Object with private;


   ---------------------------------------------------------------------------
   --| Description    :
   --| Preconditions  :
   --| Postconditions :
   --| Exceptions     :
   --| Note           :
   ---------------------------------------------------------------------------
   procedure Prepare( this  : in out Object );
   procedure Display( this : in out Object );
   procedure Perform( this : in out Object );

   procedure Cancel( this : in out Object );

   ---=====================================================================---
private
   type Object_Data;
   type Object_Data_Access is access Object_Data;

   type Object is new Process.Object with record
         data : Object_Data_Access := null;
      end record; 

end Admin;


