--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/dbs-projectlist.ads,v $
--| Description     : Project Table Name and Domain Names
--| Author          : Michael Erdmann
--| Created On      : 4.1.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This defines the table name and the name of all domains in the 
--| user list table. 
--|
--| Restrictions
--| ============
--| Has to be in line with ../DB/T_project.sql
--|
--| History
--| =======
--| $Log: dbs-projectlist.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.1  2000/01/04 18:09:51  ACDE
--| No comments
--|
package DBS.T_Projectlist is

   T_Project_List      : constant String := "Project" ;

   D_Project_Name      : constant String := "name";
   D_Owner_Name        : constant String := "owner";
   D_Creation_Date     : constant String := "creation_date";
   D_Modification_Date : constant String := "modify_date";
   
end DBS.T_Projectlist;


