--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/dbs-rolelist.ads,v $
--| Description     : List of all roles
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This definition package contains the table an domain names of the 
--| roles table in the ACDE database.
--| Per login name and complex the allowed roles are specified. The 
--| allowed role names.
--|
--| Restrictions
--| ============
--| Has to be in line with ../DB/T_role.sql
--|
--| History
--| =======
--| $Log: dbs-rolelist.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--|
package DBS.T_Role is

   T_Role_List   : constant String := "Roles" ;

   D_User_Name 	 : constant String := "username";
   D_Role_Name   : constant String := "rolename";
   D_Complex	 : constant String := "complex";

end DBS.T_Role;


