--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/dbs-userlist.ads,v $
--| Description     : Userlist Table Name and Domain Names
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This defines the table name and the name of all domains in the 
--| userlist table. 
--|
--| Restrictions
--| ============
--| Has to be in line with ../DB/T_userlist.sql
--|
--| History
--| =======
--| $Log: dbs-userlist.ads,v $
--|
package DBS.T_Userlist is

   T_User_List   : constant String := "Userlist" ;

   D_User_Name 	 : constant String := "username";
   D_Password    : constant String := "password";
   D_First_Name	 : constant String := "first_name";
   D_Last_Name	 : constant String := "last_name";
   D_Org_Unit	 : constant String := "org_unit";
   D_Phone	 : constant String := "phone";
   D_Email	 : constant String := "email";
   D_Location	 : constant String := "location";
   D_Transaction : constant String := "transaction";
   
end DBS.T_Userlist;


