--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/environement.ads,v $
--| Description     : ACDE Fixed environment parameters
--| Author          : Michael Erdmann
--| Created On      : 24.11.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--|
--|
--| Functional Description
--| ======================
--| This module contains commonly used constants. Some of these
--| constants have to be in line with the DB configuration.
--|
--| Restrictions
--| ============
--| Consistency with:
--|    common.m4
--|
--|
--| History
--| =======
--| $Log: environement.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--|
--|

package Environement is

    ACDE_Config_PATH : constant String := "/etc/ACDE/Config";
    ACDE_Server_Name : constant String := "localhost";
    ACDE_DB_Name     : constant String := "dbACDE";   

    URL_Base         : constant String := "http://localhost/cgi-bin";

end Environement;


