/*
 * File          : $Source: /home/ACDE/ACDE/Source/RCS/T_userlist.sql,v $
 * Description   : ACDE User list
 * State         : $State: Released $
 * Last Modified : $Date: 2000/01/21 17:18:23 $
 # Author        : $Author: ACDE $
 *
 * History
 * =======
 * $Log: T_userlist.sql,v $
 * Revision 1.1  2000/01/21 17:18:23  ACDE
 * Release Version test_1_0
 *
 * Revision 1.6  2000/01/16 16:03:58  ACDE
 * Release Version V8_1test
 *
 * Revision 1.5  2000/01/16 16:02:08  ACDE
 * Release Version V8test
 *
 * Revision 1.4  1999/12/18 13:27:00  ACDE
 * Release Version V6test
 *
 * Revision 1.3  1999/12/18 13:25:07  ACDE
 * Release Version V5test
 *
 * Revision 1.2  1999/11/26 14:52:51  ACDE
 * Additional fields added
 *
 * Revision 1.1  1999/11/20 17:39:19  ACDE
 * No comments
 *
 *
 */

create table Userlist (
   username         NAME,                /* login name of the user */
   password	    char(20),		 /* password */	
   first_name       NAME ,		 /* first part of the name */
   last_name        NAME ,		 /* last part of the name */
   org_unit         NAME ,   		 /* org. Unit */
   phone            PHONE_NUMBER,	 /* Phone number */
   location         NAME,
   email            EMAIL_ADDRESS,

   transaction	    Integer
);


insert into Userlist values ( "acdemgr", "acdeacde", 
                              "Michael", "Erdmann", 
			      "none", 
			      "none",
			      "Berlin",
			      "erdmann@boavista.snafu.de",
			      0);





