--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/dbs-role_names.ads,v $
--| Description     : list of all possible roles
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This package contains the interface for ADA to the role_names 
--| table in the ACDE database.
--|
--| Restrictions
--| ============
--| Has to be in line with ../DB/T_role_names.sql
--|
--| History
--| =======
--| $Log: dbs-role_names.ads,v $
--|
package DBS.T_Role_Names is

   T_Rolename_List   : constant String := "Role_Names" ;

   D_Role_Name 	     : constant String := "rolename";
   D_Role_Identifier : constant String := "identifier";
   

end DBS.T_Role_Names;


