#!/bin/sh
#
# File          : $Source: /home/ACDE/ACDE/Source/RCS/install.sh,v $
# Updated       : $Author: ACDE $  
# Last Modified : $Date: 2000/01/22 18:12:05 $
# State         : $State: Exp $
# Version       : $Revision: 1.1 $
#
# Description
# ===========
# This is the install script for the ACDE system. It has to be run
# as root from the Source or Export directory.
#
# History
# =======
# $Log: install.sh,v $
# Revision 1.1  2000/01/22 18:12:05  ACDE
# No comments
# 
HTTPD_PATH=/usr/local/httpd
CGI_PATH=$HTTPD_PATH/cgi-bin
HTML_PATH=$HTTPD_PATH/htdocs
CONFIG_PATH=/etc/ACDE/Config
#
#  Install items
#
echo "****************************"
echo "*   INSTALING BINARIES     *"
echo "*     AND HTML PAGES	 *"
echo "****************************"
install ../Export/admin   $CGI_PATH
install ../Export/docgen  $CGI_PATH

install ../Export/acdelogin.html $HTML_PATH

echo "****************************"
echo "*  INSTALING CONFIG FILES  *"
echo "****************************"
install -d $CONFIG_PATH
install admin.ini  $CONFIG_PATH
install docgen.ini $CONFIG_PATH

#   
#   Data base
#
echo "****************************"
echo "*   BUILDING DATA BASE     *"
echo "****************************"

mysqlshow dbACDE
if [ "$?" = "0"  ]
then
   echo -n "Database das already exist, replace old data base (n/y)?"
   read ans
   if [ "$ans" = "y" ]
   then  
      make cleandb
      make newdb
      echo "Old data base replaces"
   else
      echo "Database not removed";
   fi
else
   make  newdb
fi
