--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/list_element.ads,v $
--| Description     : List
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--|
--| Functional Description
--| ======================
--|
--|
--| Component Data
--| ==============
--|
--|
--| Operations on the component data
--| ================================
--|
--| Extension
--| =========
--|
--| Restrictions
--| ============
--| 
--|
--| History
--| =======
--| $Log: list_element.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.1  1999/12/21 19:18:59  ACDE
--| No comments
--|
with ASCL.Debugging_Support;
use  ASCL;

package Interface.List_Element is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   type Object is abstract tagged null record;
   type Handle is access all Object'Class;

   ---=====================================================================---
   ---===                  A T T R I B U T E S                       ===---
   ---=====================================================================---
   function Next( this : in Object'Class )     return Handle is abstract;
   function Previous( this : in Object'Class ) return Handle is abstract;
   
   procedure Next( this : in out Object; next : in Handle ) is abstract;
   procedure Previous( this : in out Object; prev : in Handle ) is abstract;

end Interface.List_Element;


